#ifndef CHANNELRESPONSE_H
#define CHANNELRESPONSE_H

#include "imagesource/devicencolorant.h"
#include "profilemanager/ciesupport.h"
#include "ticgats.h"
#include "1dinterp.h"

class ChannelResponseSample : public XYZValue
{
	public:
	ChannelResponseSample() : XYZValue(), input(0.0) {}
	ChannelResponseSample(float input,float X,float Y, float Z) : XYZValue(X,Y,Z), input(input) {}
	~ChannelResponseSample() {}
	float input;
};


class ChannelResponse;
class RawChannelResponses : public TI3File, public DeviceNColorantList
{
	public:
	RawChannelResponses(const char *filename);
	virtual ~RawChannelResponses();
	ChannelResponse *FirstChannel();
	ChannelResponse *GetChannel(const char *Name);
	ChannelResponseSample *GetPaper();
	protected:
	ChannelResponse *firstchannel;
	ChannelResponseSample paper;
	friend class ChannelResponse;
};



class ChannelResponse : public Interpolate_1D
{
	public:
	ChannelResponse(RawChannelResponses *header,int channel);
	~ChannelResponse();
	ChannelResponse *NextChannel();
	ChannelResponse *PrevChannel();
	const char *GetName();
	const char *GetShortName();
	const char *GetLongName();
	int GetChannelIndex();
	int GetSampleCount();
	ChannelResponseSample *GetSamples();
	protected:
	int channelindex;
	const char *channelname;
	int samplecount;
	ChannelResponseSample *samples;
	RawChannelResponses *header;
	ChannelResponse *nextchannel,*prevchannel;
	double *interpin,*interpout;
};

#endif

