#ifndef CORRECTIONCURVE_H
#define CORRECTIONCURVE_H

#include "imagesource/imagesource_types.h"

// Base class for correction curves
// Uses an indentity correction by default.

class CorrectionCurve
{
	public:
	// Regular constructor - fills in an identity curve (out=in).
	CorrectionCurve() : correction(NULL)
	{
		correction=new ISDataType[IS_SAMPLEMAX+1];
		for(int i=0;i<=IS_SAMPLEMAX;++i)
		{
			correction[i]=i;
		}
	}

	// Copy constructor
	CorrectionCurve(CorrectionCurve &other) : correction(NULL)
	{
		correction=new ISDataType[IS_SAMPLEMAX+1];
		for(int i=0;i<=IS_SAMPLEMAX;++i)
		{
			correction[i]=other[i];
		}
	}

	~CorrectionCurve()
	{
		if(correction)
			delete[] correction;
	}

	inline ISDataType operator[](int i)
	{
		return(correction[i]);
	}

	inline CorrectionCurve &operator=(CorrectionCurve &other)
	{
		for(int i=0;i<=IS_SAMPLEMAX;++i)
		{
			correction[i]=other[i];
		}
		return(*this);
	}

	protected:
	ISDataType *correction;
};

#endif

