#include <iostream>

#include "support/pathsupport.h"
#include "support/util.h"

#include "lincore.h"

using namespace std;

ConfigTemplate LinearizationCore::Template[]=
{
	ConfigTemplate("ArgyllPath","/usr/local/bin/"),
	ConfigTemplate("ChartResolution",int(180)),
	ConfigTemplate("DefaultInstrument","DTP41"),
	ConfigTemplate("DefaultPapersize","A4"),
	ConfigTemplate() // NULL terminated...
};


LinearizationCore::LinearizationCore() : ConfigFile(), ConfigDB(Template), Argyll_TestChartGenerator(), configfilename(NULL)
{
	new ConfigDBHandler(this,"[Defaults]",this);

	// We create .config if it doesn't already exist - needed especially on Win32
	char *configdir=substitute_xdgconfighome("$XDG_CONFIG_HOME");
	CreateDirIfNeeded(configdir);
	free(configdir);

	configfilename=substitute_xdgconfighome("$XDG_CONFIG_HOME/gplin.conf");
	ParseConfigFile(configfilename);
	ClearPaths();
	AddPath(FindString("ArgyllPath"));
}

LinearizationCore::~LinearizationCore()
{
	if(configfilename)
		free(configfilename);
}


bool LinearizationCore::SaveConfigFile()
{
	return(ConfigFile::SaveConfigFile(configfilename));
}

