#ifndef LINEARIZATION_H
#define LINEARIZATION_H

// Class which handles the actual parameters and application of the linearization model.

#include "support/configdb.h"

#include "correctioncurve.h"

#define LINEARIZATION_MAX_CHANNELS 8

class ImageSource;
class Linearization : public ConfigDB
{
	public:
	Linearization(ConfigFile *file);
	~Linearization();
	ImageSource *Apply(ImageSource *source);
	CorrectionCurve &operator[](int i);
	protected:
	static ConfigTemplate Template[];
	CorrectionCurve curves[LINEARIZATION_MAX_CHANNELS];
};

#endif

