#include <iostream>

using namespace std;

#include "support/util.h"
#include "channelresponse.h"
#include "linearization.h"
#include "linproject.h"
#include "gpdevicensupport.h"


int main(int argc,char **argv)
{
	stp_init();

	if (argc==2)
	{
		try
		{
			LinearizationCore core;
			LinProject proj(core,argv[1]);
			proj.Load();

			char *fn=proj.GetTempRoot("RawLin",".ti3");
			proj.gprinter.SetCurvesFromTI3(fn);
			free(fn);
		}
		catch (const char *err)
		{
			cerr << "Error: " << err << endl;
		}
	}
	else
		cerr << "Usage: " << argv[0] << " filename.gplin" << endl;
	return(0);
}

