#include <iostream>

#include <gtk/gtk.h>
#include <gutenprint/gutenprint.h>

#include "config.h"

#include "support/progresstext.h"
#include "support/progressbar.h"
#include "support/pathsupport.h"
#include "support/util.h"

#include "miscwidgets/generaldialogs.h"

#include "imagesource/imagesource_util.h"
#include "imagesource_devicen_preview.h"
#include "imagesource_devicen_remap.h"
#include "imagesource/pixbuf_from_imagesource.h"

#include "stpui_widgets/stpui_printerselector.h"
#include "stpui_widgets/stpui_optionbook.h"

#include "gp_cppsupport/printoutputselector.h"

#include "ticgats.h"

#include "menu_file.h"
#include "menu_edit.h"

#include "gpdevicensupport.h"
#include "argyll_testchartgenerator.h"

#include "colorantselector.h"

#include "lincore.h"
#include "linproject.h"
#include "projectgui.h"

#include "gettext.h"
#define _(x) gettext(x)


using namespace std;


#define DEFAULT_WIDTH 400
#define DEFAULT_HEIGHT 400

int othermain(int argc,char**argv);


int main(int argc,char **argv)
{
	stp_init();
	gtk_init(&argc,&argv);

	const char *filename=NULL;
	if(argc>1)
		filename=argv[1];

	LinearizationCore core;
	ProjectGUI project(core,filename);
	if(argc>2)
		project.Import(argv[2]);

	if(!core.CheckBinPath())
		ErrorMessage_Dialog(_("Argyll utilities not found!\nPlease use the Preferences dialog to locate them."));

	gtk_main();
	return(0);
}

